* [完全菜鸟指南](newbs.md)
  * [入门](newbs_getting_started.md)
  * [构建你的第一个固件](newbs_building_firmware.md)
  * [刷新固件](newbs_flashing.md)
  * [测试和调试](newbs_testing_debugging.md)
  * [Git最佳实践](newbs_best_practices.md)
  * [学习资源](newbs_learn_more_resources.md)

* [QMK基础](README.md)
  * [QMK 简介](getting_started_introduction.md)
  * [贡献 QMK](contributing.md)
  * [如何使用Github](getting_started_github.md)
  * [获得帮助](getting_started_getting_help.md)

* [问题解答](faq.md)
  * [一般问题](faq_general.md)
  * [构建/编译QMK](faq_build.md)
  * [调试/故障排除 QMK](faq_debug.md)
  * [键盘布局](faq_keymap.md)

* 详细指南
  * [安装构建工具](getting_started_build_tools.md)
  * [流浪者指南](getting_started_vagrant.md)
  * [构建/编译指令](getting_started_make_guide.md)
  * [刷新固件](flashing.md)
  * [定制功能](custom_quantum_functions.md)
  * [布局概述](keymap.md)

* [硬件](hardware.md)
  * [AVR 处理器](hardware_avr.md)
  * [驱动](hardware_drivers.md)

* 参考
  * [键盘指南](hardware_keyboard_guidelines.md)
  * [配置选项](config_options.md)
  * [键码](keycodes.md)
  * [记录最佳实践](documentation_best_practices.md)
  * [文档指南](documentation_templates.md)
  * [词汇表](reference_glossary.md)
  * [单元测试](unit_testing.md)
  * [有用的功能](ref_functions.md)
  * [配置器支持](reference_configurator_support.md)
  * [info.json 格式](reference_info_json.md)

* [特性](features.md)
  * [基本键码](keycodes_basic.md)
  * [US ANSI 控制键](keycodes_us_ansi_shifted.md)
  * [量子键码](quantum_keycodes.md)
  * [高级键码](feature_advanced_keycodes.md)
  * [音频](feature_audio.md)
  * [自动控制](feature_auto_shift.md)
  * [背光](feature_backlight.md)
  * [蓝牙](feature_bluetooth.md)
  * [Bootmagic](feature_bootmagic.md)
  * [组合](feature_combo)
  * [命令](feature_command.md)
  * [动态宏指令](feature_dynamic_macros.md)
  * [编码器](feature_encoders.md)
  * [Grave Escape](feature_grave_esc.md)
  * [键锁](feature_key_lock.md)
  * [层](feature_layouts.md)
  * [引导键](feature_leader_key.md)
  * [LED 阵列](feature_led_matrix.md)
  * [宏指令](feature_macros.md)
  * [鼠标键](feature_mouse_keys.md)
  * [一键功能](feature_advanced_keycodes.md#one-shot-keys)
  * [指针设备](feature_pointing_device.md)
  * [PS/2 鼠标](feature_ps2_mouse.md)
  * [RGB 光](feature_rgblight.md)
  * [RGB 矩阵](feature_rgb_matrix.md)
  * [空格候补换挡](feature_space_cadet_shift.md)
  * [空格候补换挡回车](feature_space_cadet_shift_enter.md)
  * [速录机](feature_stenography.md)
  * [换手](feature_swap_hands.md)
  * [踢踏舞](feature_tap_dance.md)
  * [终端](feature_terminal.md)
  * [热敏打印机](feature_thermal_printer.md)
  * [Unicode](feature_unicode.md)
  * [用户空间](feature_userspace.md)
  * [速度键](feature_velocikey.md)

* 针对制造者和定制者
  * [飞线指南](hand_wire.md)
  * [ISP 刷新指南](isp_flashing_guide.md)
  * [ARM 调试指南](arm_debugging.md)
  * [I2C 驱动](i2c_driver.md)
  * [GPIO 控制器](internals_gpio_control.md)
  * [Proton C 转换](proton_c_conversion.md)

* 深入了解
  * [键盘如何工作](how_keyboards_work.md)
  * [理解 QMK](understanding_qmk.md)

* 其他话题
  * [使用Eclipse开发QMK](other_eclipse.md)
  * [使用VSCode开发QMK](other_vscode.md)
  * [支持](support.md)

* QMK 内构 (正在编写)
  * [定义](internals_defines.md)
  * [输入回调寄存器](internals_input_callback_reg.md)
  * [Midi 设备](internals_midi_device.md)
  * [Midi 设备设置过程](internals_midi_device_setup_process.md)
  * [Midi 工具库](internals_midi_util.md)
  * [发送函数](internals_send_functions.md)
  * [Sysex 工具](internals_sysex_tools.md)
