# George Petri's Quefrency 65 layout

```
make keebio/quefrency:georgepetri
```

Based on the default querty layout with minor tweaks.  
The position of the arrow keys in a line in the bottom right.  
The backspace key is 1u and to the left of the delete key.  
Grave, pause and insert are on the function layer.  

### Base Layer
```
┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐        ┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐
│  ESC ││  1   ││  2   ││  3   ││  4   ││  5   ││  6   │        │  7   ││  8   ││  9   ││  0   ││  MINS││  EQL ││  BSPC││  DEL ││  HOME│
└──────┘└──────┘└──────┘└──────┘└──────┘└──────┘└──────┘        └──────┘└──────┘└──────┘└──────┘└──────┘└──────┘└──────┘└──────┘└──────┘
┌──────────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐        ┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────────┐┌──────┐
│  TAB     ││  Q   ││  W   ││  E   ││  R   ││  T   │        │  Y   ││  U   ││  I   ││  O   ││  P   ││  LBRC││  RBRC││  BSLS    ││  END │
└──────────┘└──────┘└──────┘└──────┘└──────┘└──────┘        └──────┘└──────┘└──────┘└──────┘└──────┘└──────┘└──────┘└──────────┘└──────┘
┌────────────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐        ┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌────────────────┐┌──────┐
│  CAPS      ││  A   ││  S   ││  D   ││  F   ││  G   │        │  H   ││  J   ││  K   ││  L   ││  SCLN││  QUOT││  ENT           ││  PGUP│
└────────────┘└──────┘└──────┘└──────┘└──────┘└──────┘        └──────┘└──────┘└──────┘└──────┘└──────┘└──────┘└────────────────┘└──────┘
┌────────────────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐        ┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌────────────────────┐┌──────┐
│  LSFT          ││  Z   ││  X   ││  C   ││  V   ││  B   │        │  N   ││  M   ││  COMM││  DOT ││  SLSH││  RSFT              ││  PGDN│
└────────────────┘└──────┘└──────┘└──────┘└──────┘└──────┘        └──────┘└──────┘└──────┘└──────┘└──────┘└────────────────────┘└──────┘
┌────────┐┌────────┐┌────────┐┌────────┐┌────────────────┐        ┌────────────────────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐
│  LCTL  ││  LGUI  ││  LALT  ││MO(_FN1)││  SPC           │        │  SPC               ││  RALT││  RCTL││  LEFT││  DOWN││  UP  ││  RGHT│
└────────┘└────────┘└────────┘└────────┘└────────────────┘        └────────────────────┘└──────┘└──────┘└──────┘└──────┘└──────┘└──────┘
```

### Function
```
┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐        ┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐
│  GRV ││  F1  ││  F2  ││  F3  ││  F4  ││  F5  ││  F6  │        │  F7  ││  F8  ││  F9  ││  F10 ││  F11 ││  F12 ││  BSPC││  DEL ││  INS │
└──────┘└──────┘└──────┘└──────┘└──────┘└──────┘└──────┘        └──────┘└──────┘└──────┘└──────┘└──────┘└──────┘└──────┘└──────┘└──────┘
┌──────────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐        ┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────────┐┌──────┐
│          ││      ││      ││      ││      ││      │        │      ││      ││      ││      ││      ││      ││      ││          ││  PAUS│
└──────────┘└──────┘└──────┘└──────┘└──────┘└──────┘        └──────┘└──────┘└──────┘└──────┘└──────┘└──────┘└──────┘└──────────┘└──────┘
┌────────────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐        ┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌────────────────┐┌──────┐
│            ││      ││      ││      ││      ││      │        │      ││      ││      ││      ││      ││      ││                ││      │
└────────────┘└──────┘└──────┘└──────┘└──────┘└──────┘        └──────┘└──────┘└──────┘└──────┘└──────┘└──────┘└────────────────┘└──────┘
┌────────────────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐        ┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌────────────────────┐┌──────┐
│                ││      ││      ││      ││      ││      │        │      ││      ││      ││      ││      ││                    ││      │
└────────────────┘└──────┘└──────┘└──────┘└──────┘└──────┘        └──────┘└──────┘└──────┘└──────┘└──────┘└────────────────────┘└──────┘
┌────────┐┌────────┐┌────────┐┌────────┐┌────────────────┐        ┌────────────────────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐┌──────┐
│        ││        ││        ││        ││                │        │                    ││      ││      ││      ││      ││      ││      │
└────────┘└────────┘└────────┘└────────┘└────────────────┘        └────────────────────┘└──────┘└──────┘└──────┘└──────┘└──────┘└──────┘
```